Login
Newsletter
Werbung

Sicherheit: Pufferüberlauf in glibc
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in glibc
ID: openSUSE-SU-2020:0381-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Mi, 25. März 2020, 15:52
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-10029
Applikationen: GNU C library

Originalnachricht

   openSUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0381-1
Rating: moderate
References: #1163184 #1164505 #1165784
Cross-References: CVE-2020-10029
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available.

Description:

This update for glibc fixes the following issues:

- CVE-2020-10029: Fixed a potential overflow in on-stack buffer during
range reduction (bsc#1165784).
- Fixed an issue where pthread were not always locked correctly
(bsc#1164505).
- Document mprotect and introduce section on memory protection
(bsc#1163184).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-381=1



Package List:

- openSUSE Leap 15.1 (i586 i686 x86_64):

glibc-2.26-lp151.19.3.1
glibc-debuginfo-2.26-lp151.19.3.1
glibc-debugsource-2.26-lp151.19.3.1
glibc-devel-2.26-lp151.19.3.1
glibc-devel-debuginfo-2.26-lp151.19.3.1
glibc-devel-static-2.26-lp151.19.3.1
glibc-locale-2.26-lp151.19.3.1
glibc-locale-base-2.26-lp151.19.3.1
glibc-locale-base-debuginfo-2.26-lp151.19.3.1
glibc-profile-2.26-lp151.19.3.1

- openSUSE Leap 15.1 (i586 x86_64):

glibc-extra-2.26-lp151.19.3.1
glibc-extra-debuginfo-2.26-lp151.19.3.1
glibc-utils-2.26-lp151.19.3.1
glibc-utils-debuginfo-2.26-lp151.19.3.1
glibc-utils-src-debugsource-2.26-lp151.19.3.1
nscd-2.26-lp151.19.3.1
nscd-debuginfo-2.26-lp151.19.3.1

- openSUSE Leap 15.1 (noarch):

glibc-html-2.26-lp151.19.3.1
glibc-i18ndata-2.26-lp151.19.3.1
glibc-info-2.26-lp151.19.3.1

- openSUSE Leap 15.1 (x86_64):

glibc-32bit-2.26-lp151.19.3.1
glibc-32bit-debuginfo-2.26-lp151.19.3.1
glibc-devel-32bit-2.26-lp151.19.3.1
glibc-devel-32bit-debuginfo-2.26-lp151.19.3.1
glibc-devel-static-32bit-2.26-lp151.19.3.1
glibc-locale-base-32bit-2.26-lp151.19.3.1
glibc-locale-base-32bit-debuginfo-2.26-lp151.19.3.1
glibc-profile-32bit-2.26-lp151.19.3.1
glibc-utils-32bit-2.26-lp151.19.3.1
glibc-utils-32bit-debuginfo-2.26-lp151.19.3.1


References:

https://www.suse.com/security/cve/CVE-2020-10029.html
https://bugzilla.suse.com/1163184
https://bugzilla.suse.com/1164505
https://bugzilla.suse.com/1165784

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung